Skip to content

Import user's OTP

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Import user's OTP

Method name

ManagementClient.importOtp

Request Parameters

NameTypeRequiredDefault valueDescriptionSample value
list<a ImportOtpItemDto[]Yes-Parameter list

Example Code

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.importOtp({
    list: [
      {
        // Replace user ID
        userId: "6229ffaxxxxxxxxcade3e3d9",
        otp: {
          secret: "HZ2FxxxxxxAVSOTV",
          recoveryCode: "b471-xxxx-xxxx-087f-bccb-cd54",
        },
      },
    ],
  });
  console.log(JSON.stringify(result, null, 2));
})();

Request Response

type: CommonResponseDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.

Example results:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c"
}

Data Structure

ImportOtpItemDto

NameTypeRequiredDescriptionSample value
userIdstringyesUser IDxxxx
otpyesOTP data nested type: <a ImportOtpItemDataDto.

ImportOtpItemDataDto

NameTypeRequiredDescriptionSample value
secretstringyesOTP keyHZ2F6J3AGNAVSOTV
recoveryCodestringnoOTP Recovery Codeb471-8ec0-874a-087f-bccb-cd54

Agent infrastructure for identity, memory, and web action.